| Home | Libraries | People | FAQ | More

## Class multiple_values

boost::program_options::multiple_values

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class multiple_values : public boost::program_options::error {
    public:
      // construct/copy/destruct
      multiple_values();
      ~multiple_values();

      // public member functions
      void set_option_name(const std::string &);
      const std::string & get_option_name() const;
    };

## Description

Class thrown when there are several option values, but user called a method which cannot return them all.

### `multiple_values` public construct/copy/destruct

1.     multiple_values();

2.     ~multiple_values();

### `multiple_values` public member functions

1.     void set_option_name(const std::string & option);

2.     const std::string & get_option_name() const;